| OrbbecSDK 1.5.7 OrbbecSDK: Software-Development-Kit for Orbbec 3D-Sensor devices

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ob::DeviceList Class Reference

`#include <Device.hpp>`

## Public Member Functions
| DeviceList (std::unique_ptr< DeviceListImpl > impl)
| ~DeviceList () noexcept
uint32_t | deviceCount ()
| Get device count. More...
DEPRECATED const char * | name (uint32_t index)
| Get the name of the specified device (DEPRECATED) More...
int | pid (uint32_t index)
| Get the pid of the specified device. More...
int | vid (uint32_t index)
| Get the vid of the specified device. More...
const char * | uid (uint32_t index)
| Get the uid of the specified device. More...
const char * | serialNumber (uint32_t index)
| Get the serial number of the specified device. More...
std::shared_ptr< Device > | getDevice (uint32_t index)
| Get the specified device object from the device list. More...
std::shared_ptr< Device > | getDeviceBySN (const char *serialNumber)
| Get the specified device object from the device list. More...
std::shared_ptr< Device > | getDeviceByUid (const char *uid)
| Get the specified device object from the device list. More...

## Detailed Description

Definition at line 894 of file Device.hpp.

## Constructor & Destructor Documentation

ob::DeviceList::DeviceList | ( | std::unique_ptr< DeviceListImpl > | impl | ) |

ob::DeviceList::~DeviceList | ( |  | ) |
| noexcept

## Member Function Documentation

uint32_t ob::DeviceList::deviceCount | ( |  | ) |

Get device count.

Returns
  uint32_t returns the number of devices

DEPRECATED const char* ob::DeviceList::name | ( | uint32_t | index | ) |

Get the name of the specified device (DEPRECATED)

Parameters

  index | Device index

Returns
  int returns the name of the device

int ob::DeviceList::pid | ( | uint32_t | index | ) |

Get the pid of the specified device.

Parameters

  index | Device index

Returns
  int returns the pid of the device

int ob::DeviceList::vid | ( | uint32_t | index | ) |

Get the vid of the specified device.

Parameters

  index | Device index

Returns
  int returns the vid of the device

const char* ob::DeviceList::uid | ( | uint32_t | index | ) |

Get the uid of the specified device.

Parameters

  index | Device index

Returns
  const char * returns the uid of the device

const char* ob::DeviceList::serialNumber | ( | uint32_t | index | ) |

Get the serial number of the specified device.

Parameters

  index | device index

Returns
  const char * returns the serial number of the device

std::shared_ptr<Device> ob::DeviceList::getDevice | ( | uint32_t | index | ) |

Get the specified device object from the device list.

Attention
  If the device has been acquired and created elsewhere, repeated acquisition will throw an exception

Parameters

  index | index of the device to create

Returns
  std::shared_ptr<Device> returns the device object

std::shared_ptr<Device> ob::DeviceList::getDeviceBySN | ( | const char * | serialNumber | ) |

Get the specified device object from the device list.

Attention
  If the device has been acquired and created elsewhere, repeated acquisition will throw an exception

Parameters

  serialNumber | The serial number of the device to be created

Returns
  std::shared_ptr<Device> returns the device object

std::shared_ptr<Device> ob::DeviceList::getDeviceByUid | ( | const char * | uid | ) |

Get the specified device object from the device list.

Attention
  If the device has been acquired and created elsewhere, repeated acquisition will throw an exception

Parameters

  uid | If the device has been acquired and created elsewhere, repeated acquisition will throw an exception

Returns
  std::shared_ptr<Device> If the device has been acquired and created elsewhere, repeated acquisition will throw an exception

The documentation for this class was generated from the following file:

- /root/libobsensor/include/libobsensor/hpp/Device.hpp